body {
  background-color: #ddbb62;
  font-family: Arial, Helvetica, sans-serif;
  font-size: 13px;
  color: brown;
}

input[type=submit] {
    padding: 10px 25px; 
    background-color: green;
	color: white;
    border: 0 none;
    cursor: pointer;
    -webkit-border-radius: 5px;
    border-radius: 5px; 
}

input[type=button] {
    padding: 10px 25px; 
    background-color: green;
	color: white;
    border: 0 none;
    cursor: pointer;
    -webkit-border-radius: 5px;
    border-radius: 5px; 
}

input[type="range"][orient=vertical]{
	-webkit-appearance: slider-vertical; /* WebKit */
	height: 280px;
    border-radius: 6px;
    width: 6px;
    background-image: -webkit-gradient(
        linear,
        left top,
        right top,
        color-stop(0.15, #94A14E),
        color-stop(0.15, #C5C5C5)
    );
}

input[type='range'][orient=vertical]::-webkit-slider-thumb {
    -webkit-appearance: none !important;
    background-color: #E9E9E9;
    border: 1px solid #CECECE;
    height: 15px;
    width: 15px;
}


table {
  border-spacing: 0.5rem;
}
td {
  padding: 0.5rem;
}

td:nth-child(1) { background: hsl(150, 50%, 50%); }
td:nth-child(2) { background: hsl(160, 60%, 50%); }
td:nth-child(3) { background: hsl(170, 70%, 50%); }
td:nth-child(4) { background: hsl(180, 80%, 50%); }
td:nth-child(5) { background: hsl(190, 90%, 50%); }
td:nth-child(6) { background: hsl(200, 99%, 50%); }

.menu-bar {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
}

.menu-item-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  padding: 5px;
  margin: 5px;
}

.menu-item {
  border-style: solid;
  border-color: white;
  width: 100%;
  height: 30px;
  padding: 5px;
  margin-left: 5px;
  margin-top: 5px;
}

.sub-menu-item-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  
}

.sub-menu-item {
  border-style: solid;
  border-color: white;
  padding: 5px;
  margin-top: 5px;
  margin-left: 5px;
}

.waiting-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  margin-left: 10px;
}

.waiting-container {
  display: flex;
  flex-direction: row;
}

.waiting-item {
  border-style: solid;
  border-color: white;
  padding: 5px;
  margin-left: 5px;
}

.chat-backend-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.chat-backend-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 400px;
  width: 800px;
}

.chat-backend-container-a-top-info {
  display: flex;
  flex-direction: column;
  padding-bottom: 10px;
  font-size: 20px;
  color: black;
}

.chat-backend-container-b-boxes {
  display: flex;
  flex-direction: row;
  width: 100%; 
}

.chat-backend-container-b-boxes-a-box-chat-container {
  background-color: #e4eff2;
  border-style: solid;
  border-color: white;
  margin-right: 20px;
  width: 390px;
  height: 400px;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 15px;
  padding-right: 38px;
  /*display: block;*/
}

.chat-backend-container-b-boxes-a-box-chat-content {
  background-color: #e4eff2;
  width: 100%;
  display: block;
  line-height: 120%;
}


.chat-backend-container-b-boxes-b-box-controls-container {
  border-style: solid;
  border-color: white;
  width: 390px;
  height: 400px;
  overflow-x: hidden;
  overflow-y: auto;
  display: block;
  padding: 15px;
}

.chat-backend-container-b-boxes-b-box-controls-content {
  display: flex;
  flex-direction: column;
  border-style: solid;
  border-color: white;
  display: block;
  width: 100%;
}

.chat-backend-container-b-boxes-b-box-controls-item-headline {
  width: 365px;
  margin: 10px;
  color: black;
  font-size: 20px;
}

.chat-backend-container-b-boxes-b-box-controls-item-container {
  display: flex;
  flex-direction: row;
  width: 95%;
  margin: 5px;
  padding: 3px;
  padding-right: 15px;
}

.chat-backend-container-b-boxes-b-box-controls-item-left-box-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-style: solid;
  border-color: white;
  width: 10%;
}

.chat-backend-container-b-boxes-b-box-controls-item-left-box-content {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.chat-backend-container-b-boxes-b-box-controls-item-center-box {
  border-style: solid;
  border-color: white;
  width: 80%;
  padding: 5px;
}


.chat-backend-container-b-boxes-b-box-controls-item-right-box-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  border-style: solid;
  border-color: white;
  width: 10%;
  padding: 10px;
}

.chat-backend-container-b-boxes-b-box-controls-item-right-box-content {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.chat-backend-container-c-chat-fashion-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.chat-backend-container-c-chat-fashion-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px;
  margin-top: 10px;
  border-style: solid;
  border-color: white;
  max-width: 100%;
}

.chat-backend-container-c-chat-fashion-container-2 {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  max-width: 100%;
}

.chat-backend-container-c-chat-fashion-label {
  padding-top: 3px;
}

.chat-backend-container-c-chat-fashion-item {
  padding-bottom: 0px;
}

.chat-backend-container-d-submit-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 10px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.chat-backend-container-d-submit-input-textarea {
  border-style: solid;
  border-color: white;
  width: 85%;
  max-height: 100%;
}

.chat-backend-container-d-submit-right-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin-top: 10px;
  margin-bottom: 10px;
  width: 15%;
}

.chat-backend-container-d-submit-right-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 10px;
  border-style: solid;
  border-color: white;
}

.chat-backend-container-e-add-subject-and-tags {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-backend-container-e-add-subject-and-tags-item {

}

.chat-backend-container-f-lights {
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-backend-container-f-lights-item {
  margin-right: 30px;
}

.chat-backend-container-g-status-bar {
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-backend-container-g-status-bar-item {
  margin-right: 30px;
}







.chat-frontend-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.chat-frontend-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
  width: 800px;
}

.chat-frontend-container-a-top-info {
  display: flex;
  flex-direction: column;
  padding-bottom: 10px;
  font-size: 20px;
  color: black;
}

.chat-frontend-container-b-output-box {
  display: flex;
  flex-direction: row;
  width: 820px;
}

.chat-frontend-container-b-output-box-container {
  background-color: #e4eff2;
  border-style: solid;
  border-color: white;
  margin-right: 20px;
  width: 60%;
  height: 400px;
  overflow-x: hidden;
  overflow-y: auto;
  padding: 15px;
  padding-right:18px;
}

.chat-frontend-container-b-output-box-content {
  background-color: #e4eff2;
  width: 100%;
  display: block;
  line-height: 120%;
}

.chat-frontend-container-b-output-box-controls-container {
  display: flex;
  flex-direction: column;
  width: 30%;
  height: 430px;
  border-style: solid;
  border-color: white;
  background-color: #e4eff2;
}

.chat-frontend-container-b-output-box-controls-headline {
  display: flex;
  flex-direction: row;
  justify-content: center;
  width: 100%;
  background-color: #e4eff2;
  margin-top: 30px;
}

.chat-frontend-container-b-output-box-controls {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  background-color: #e4eff2;
  width: 100%;
  height: 400px;
  position: relative;
}

.chat-frontend-container-b-output-box-controls-rows-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  background-color: #e4eff2;
  width: 28%;
}

.chat-frontend-container-b-output-box-controls-rows {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  background-color: #e4eff2;
  width: 100%;
  margin-bottom: 20px;
}

.chat-frontend-container-b-output-box-controls-rows-item {
  display: flex;
  flex-direction: row;
  justify-content: center;
  background-color: #e4eff2;
  margin-top: 20px;
}

.chat-frontend-container-b-output-box-controls-rows-item-item {
  display: flex;
  flex-direction: column;
  background-color: #e4eff2;
}

.chat-frontend-container-b-output-box-controls-rows-item-item-slider {
  display: flex;
  flex-direction: column;
  background-color: #e4eff2;
  height: 280px;
}

#overlay {
  position: absolute;
  height: 225px;
  width: 225px;
  background-color: green;
  opacity: 0.5;
  top: 50px;
  left: 0px;
  z-index: 10;
  display: none;
  pointer-events: none;
}

.chat-frontend-container-c-chat-fashion-container {
  display: flex;
  flex-direction: row;
  padding: 10px;
  margin-top: 10px;
  border-style: solid;
  border-color: white;
  max-width: 100%;
}

.chat-frontend-container-c-chat-fashion-label {
  padding-top: 3px;
}

.chat-frontend-container-c-chat-fashion-item {
  padding-bottom: 0px;
}

.slider_hero {
  width: 120px;
}

.chat-frontend-container-d-submit-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 10px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.chat-frontend-container-d-submit-input-textarea {
  border-style: solid;
  border-color: white;
  width: 85%;
  max-height: 100%;
}

.chat-frontend-container-d-submit-right-container {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  width: 15%;
}

.chat-frontend-container-d-submit-right-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 10px;
  margin-bottom: 10px;
  padding: 10px;
  border-style: solid;
  border-color: white;
}

.chat-frontend-container-e-add-subject-and-tags {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-frontend-container-e-add-subject-and-tags-item {

}

.chat-frontend-container-f-lights {
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-frontend-container-f-lights-item {
  margin-right: 30px;
}

.chat-frontend-container-g-status-bar {
  display: flex;
  flex-direction: row;
  margin-top: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 10px;
}

.chat-frontend-container-g-status-bar-item {
  margin-right: 30px;
}


.myuserpage-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.myuserpage-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 400px;
  width: 800px;
}

.myuserpage-info-label {
  font-size: 40px;
  color: black;
  margin-bottom: 5px;
}

.myuserpage-info-label-2 {
  font-size: 20px;
  color: black;
  margin-bottom: 5px;
}

.myuserpage-top-panel {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-bottom: 40px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.myuserpage-top-panel-left {
  display: flex;
  flex-direction: column;
  padding: 10px;
}

.myuserpage-top-panel-left-item {
  font-size: 16px;
  color: black;
  margin-bottom: 5px;
}

.myuserpage-top-panel-center {
  display: flex;
  flex-direction: column;
  padding: 10px;
}

.myuserpage-top-panel-center-item {
  font-size: 16px;
  color: black;
  margin-bottom: 5px;
}

.myuserpage-top-panel-center-item-image {
  width: 200px;
  max-width: 200px;
  height: 350px;
  max-height: 350px;
  color: black;
  display: inline-block;
  overflow: hidden;
  margin-bottom: 5px;
}

.myuserpage-top-panel-center-item-image img {
  /*width: 100%;
  min-height: 100%;*/
}

.myuserpage-top-panel-right {
  display: flex;
  flex-direction: column;
  padding: 10px;
  width: 200px;
}

.myuserpage-top-panel-right-item {
  display: flex;
  flex-direction: row;
  justify-content: center;
  border-style: solid;
  border-color: white;
  padding: 5px;
}

.myuserpage-top-panel-right-item-item {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 5px;
}

.myuserpage-schedule-panel {
  display: flex;
  flex-direction: column;
  padding: 10px;
  border-style: solid;
  border-color: white;
  margin-bottom: 40px;
}

.myuserpage-schedule-panel-item {
  border-style: solid;
  border-color: white;
  padding: 5px;
  font-size: 16px;
  color: black;
}

.myuserpage-basic-panel {
  display: flex;
  flex-direction: column;
  padding: 10px;
  border-style: solid;
  border-color: white;
  margin-bottom: 40px;
}

.myuserpage-basic-panel-item {
  border-style: solid;
  border-color: white;
  padding: 5px;
  font-size: 16px;
  color: black;
}

.entire-conversation-container {
  background-color: #111111;
  border-style: solid;
  border-color: white;
  margin-right: 15px;
  width: 99%;
  height: 400px;
  overflow-x: hidden;
  overflow-y: auto;
  display: block;
}

.entire-conversation-content {
  background-color: #111111;
  width: 100%;
  color: white;
  margin-right: 25px;
  display: block;
  padding: 10px;
}

.entire-conversation-tags-and-topics {
  border-style: solid;
  border-color: white;
  margin-right: 20px;
  width: 100%;
}

.userpage-like-panel {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-style: solid;
  border-color: white;
  width: 100%;
}

.userpage-like-panel-item {
  padding: 5px;
}

.finishedconversations-top-panel {
  display: flex;
  flex-direction: column;
  margin-bottom: 40px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.finishedconversations-top-panel-row {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
  margin-bottom: 40px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.finishedconversations-top-panel-row-item {

}

.finishedconversations-like-panel {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  border-style: solid;
  border-color: white;
  width: 100%;
}

.finishedconversations-like-panel-item {
  padding: 5px;
  background-color: gray;
  border-style: solid;
  border-color: white;
}

.finishedconversations-like-panel-items-column {
  display: flex;
  flex-direction: column;
  border-style: solid;
  border-color: white;
  width: 100%;
}


.finishedconversations-page-nav-panel-row {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  margin-bottom: 40px;
  max-width: 100%;
  border-style: solid;
  border-color: white;
}

.finishedconversations-page-nav-panel-row-item {

}

.infopage-wrapper {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.infopage-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 400px;
  width: 800px;
  border-style: solid;
  border-color: white;
  padding: 20px;
}

.infopage-container-2 {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 40px;
  width: 800px;
  border-style: solid;
  border-color: white;
  padding: 20px;
}

.infopage-info-label {
  font-size: 30px;
  color: black;
  margin-bottom: 5px;
}

.infopage-panel {
  font-size: 18px;
  color: black;
  margin-bottom: 5px;
  line-height: 140%;
}

.addopeningline-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 50px;
  border-style: solid;
  border-color: white;
  padding: 20px;
}

.addopeningline-bottom-section {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.exam-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
  border-style: solid;
  border-color: white;
  padding: 20px;
  font-size: 20px;
  color: black;
}

.exam-container-2 {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 50px;
  padding: 20px;
  font-size: 16px;
  color: black;
}

.code-of-conduct-container {
  display: flex;
  flex-direction: column;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 10px;
  padding: 20px;
  font-size: 16px;
  color: black;
}

.login-signup-container {
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 50px;
  border-style: solid;
  border-color: white;
  padding: 20px;
}

.login-signup-panel {
  display: flex;
  flex-direction: column;
  justify-content: center;
  width: 400px;
  margin-left: 10px;
  margin-right: 10px;
  margin-bottom: 50px;
  border-style: solid;
  border-color: white;
  padding: 20px;
}

.opening-routine-wrapper {
  width: 100%;
  height: 100%;
}

.opening-routine-container {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 800px;
}

.switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.oven-week {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  padding: 10px;
  background-color: white;
  border-style: solid;
  border-color: red;
  width: 90%;
}
